<?php


// No direct calls to this script
if ( strpos($_SERVER['PHP_SELF'], basename(__FILE__) )) {
	die('No direct calls allowed!');
}



/*
 * Add field in WPForms Lite
 *
 * @since 2.1.0
 *
 * @uses "wpforms_display_submit_before" action
 *
 * @param array $form_data array with data for the form.
 *
 */
function la_sentinelle_wpforms_display_submit_before( $form_data ) {

	echo la_sentinelle_get_spamfilters();

}
if (get_option( 'la_sentinelle-wpforms', 'true') === 'true') {
	add_action( 'wpforms_display_submit_before', 'la_sentinelle_wpforms_display_submit_before', 10, 1 );
}


/*
 * Validate form in WPForms Lite
 *
 * @since 2.1.0
 *
 * @uses "wpforms_process_initial_errors" filter and uses the 'footer' data field for messaging an error.
 *
 * @param array $errors
 * @param array $form_data
 *
 * @return array $errors
 */
function la_sentinelle_wpforms_process_initial_errors( $errors, $form_data ) {

	if ( isset( $form_data['id'] ) ) {
		$form_id = absint( $form_data['id'] );
	} else {
		return $errors;
	}

	$spamfilters = array();
	$lasent_errors = '';
	$marker_nonce = la_sentinelle_check_nonce();
	if ( $marker_nonce === 'spam' ) {
		$spamfilters[] = 'nonce';
		$lasent_errors .= esc_html__( 'Your submission was marked as spam, please try again or contact a site administrator for assistance.', 'la-sentinelle-antispam' ) . '<br />';
	}
	$marker_honeypot = la_sentinelle_check_honeypot();
	if ( $marker_honeypot === 'spam' ) {
		$spamfilters[] = 'honeypot';
		$lasent_errors .= esc_html__( 'Your submission was marked as spam, please try again or contact a site administrator for assistance.', 'la-sentinelle-antispam' ) . '<br />';
	}
	$marker_timeout = la_sentinelle_check_timeout();
	if ( $marker_timeout === 'spam' ) {
		$spamfilters[] = 'timeout';
		$lasent_errors .= esc_html__( 'Your submission was sent in too fast. Please slow down and try again.', 'la-sentinelle-antispam' ) . '<br />';
	}

	if ( $marker_nonce === 'spam' || $marker_honeypot === 'spam' || $marker_timeout === 'spam' ) {
		if ( ! isset( $errors[ $form_id ] ) ) {
			$errors[ $form_id ] = array();
		}
		$errors[ $form_id ]['footer'] = $lasent_errors;

		la_sentinelle_add_statistic_blocked( 'wpforms' );
		la_sentinelle_save_spam_submission( 'wpforms', $spamfilters );
	}

	return $errors;

}
if (get_option( 'la_sentinelle-wpforms', 'true') === 'true') {
	add_filter( 'wpforms_process_initial_errors', 'la_sentinelle_wpforms_process_initial_errors', 10, 2 );
}
